App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
mhr.app.fragments.toolbox.FilterToolSettingsFragment Class Reference

Slouží k nastavení nástroje fitru. More...

Inheritance diagram for mhr.app.fragments.toolbox.FilterToolSettingsFragment:

## Public Member Functions
void | onClick (View v)
void | onAttach (Activity activity)
View | onCreateView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
void | onResume ()
void | onPause ()

## Protected Member Functions
View | initView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
| Provede inicializaci view.

## Protected Attributes
View | root
AppMainActivity | activity
boolean | firstCreated = true
DisplayerTouchNavigator | navig = null

## Detailed Description

Slouží k nastavení nástroje fitru.

Definition at line 24 of file FilterToolSettingsFragment.java.

## Member Function Documentation

View mhr.app.fragments.toolbox.FilterToolSettingsFragment.initView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inlineprotected

Provede inicializaci view.

Parameters

  inflater |
  container |
  savedInstanceState |

Returns

Definition at line 49 of file FilterToolSettingsFragment.java.

{
root = inflater.inflate(R.layout.fragment_filter_tool_settings, container, false);
((Button) root.findViewById(R.id.GaussianBlurBtn)).setOnClickListener(this);
((Button) root.findViewById(R.id.LaplaceSharpenBtn)).setOnClickListener(this);
((Button) root.findViewById(R.id.GaussianSharpenBtn)).setOnClickListener(this);
((Button) root.findViewById(R.id.LaplacianOfGaussianSharpenBtn)).setOnClickListener(this);
((Button) root.findViewById(R.id.DifferenceOfGaussianSharpenBtn)).setOnClickListener(this);
firstCreated = false;
return root;
}

void mhr.app.fragments.toolbox.FilterToolSettingsFragment.onAttach | ( | Activity | activity | ) |
| inline

Definition at line 98 of file FilterToolSettingsFragment.java.

{
super.onAttach(activity);
/*
* called once the fragment is associated with its activity.
*/
this.activity = (AppMainActivity) activity;
if (navig == null) { // instance bude cachovana
navig = new DisplayerTouchNavigator(this.activity.getBitmapDisplayer(), this.activity);
}
}

void mhr.app.fragments.toolbox.FilterToolSettingsFragment.onClick | ( | View | v | ) |
| inline

Definition at line 72 of file FilterToolSettingsFragment.java.

{
int id = v.getId();
switch (id) {
case R.id.GaussianBlurBtn:
activity.showDialog(new GaussianBlurPopUpFragment());
break;
case R.id.LaplaceSharpenBtn:
activity.showDialog(new LaplaceSharpenPopUpFragment());
break;
case R.id.GaussianSharpenBtn:
activity.showDialog(new GaussianSharpenPopUpFragment());
break;
case R.id.LaplacianOfGaussianSharpenBtn:
activity.showDialog(new LaplacianOfGaussianSharpenPopUpFragment());
break;
case R.id.DifferenceOfGaussianSharpenBtn:
activity.showDialog(new DifferenceOfGaussianSharpenPopUpFragment());
break;
default:
break;
}
}

View mhr.app.fragments.toolbox.FilterToolSettingsFragment.onCreateView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inline

Definition at line 122 of file FilterToolSettingsFragment.java.

{
/*
* creates and returns the view hierarchy associated with the fragment.
*
* The system calls this when it's time for the fragment to draw its user interface for the first time. To draw a UI for your fragment, you must return a
* View from this method that is the root of your fragment's layout. You can return null if the fragment does not provide a UI.
*
* Zde začíná životní cyklus při návratu z backstacku
*/
if (firstCreated) {
firstCreated = false;
return initView(inflater, container, savedInstanceState);
} else {
return root;
}
}

void mhr.app.fragments.toolbox.FilterToolSettingsFragment.onPause | ( |  | ) |
| inline

Definition at line 186 of file FilterToolSettingsFragment.java.

{
super.onPause();
/*
* fragment is no longer interacting with the user either because its activity is being paused or a fragment operation is modifying it in the activity.
*
* The system calls this method as the first indication that the user is leaving the fragment (though it does not always mean the fragment is being destroyed).
* This is usually where you should commit any changes that should be persisted beyond the current user session (because the user might not come back).
*/
activity.dismissDialog();
// guiHolder.removeAllViews();
// guiHolder.setVisibility(View.GONE);
}

void mhr.app.fragments.toolbox.FilterToolSettingsFragment.onResume | ( |  | ) |
| inline

Definition at line 164 of file FilterToolSettingsFragment.java.

{
super.onResume();
/*
* makes the fragment interacting with the user (based on its containing activity being resumed).
*/
activity.setCanvasOnTouchListener(navig);
//
// activity.setCanvasOnTouchListener(null);
// guiHolder = activity.getGuiOverCanvas();
//
// guiHolder.removeAllViews();
//
// p = new ProjectiveTransformPicker(activity);
// p.setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
//
// guiHolder.addView(p);
// guiHolder.setVisibility(View.VISIBLE);
}

## Member Data Documentation

AppMainActivity mhr.app.fragments.toolbox.FilterToolSettingsFragment.activity
| protected

Definition at line 33 of file FilterToolSettingsFragment.java.

boolean mhr.app.fragments.toolbox.FilterToolSettingsFragment.firstCreated = true
| protected

Definition at line 34 of file FilterToolSettingsFragment.java.

DisplayerTouchNavigator mhr.app.fragments.toolbox.FilterToolSettingsFragment.navig = null
| protected

Definition at line 36 of file FilterToolSettingsFragment.java.

View mhr.app.fragments.toolbox.FilterToolSettingsFragment.root
| protected

Definition at line 32 of file FilterToolSettingsFragment.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/app/src/mhr/app/fragments/toolbox/FilterToolSettingsFragment.java